/*
 * Copyright (c) 2010, Paul Merlin. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
package org.codeartisans.sked.crontab.schedule;

class YearAtom
        extends AbstractCronAtom
{

    public YearAtom( String atom )
    {
        super( atom );
    }

    @Override
    public int minAllowed()
    {
        return 1970; // Epoch
    }

    @Override
    public int maxAllowed()
    {
        return 2099; // We will need to rise this number when needed, see AbstractCronAtom.nextValue implementation
    }

}
